Package org.gradle.api.tasks.testing.logging

## Enum TestStackTraceFilter

- java.lang.Object
- - java.lang.Enum<TestStackTraceFilter>
  - - org.gradle.api.tasks.testing.logging.TestStackTraceFilter

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TestStackTraceFilter>`

      public enum TestStackTraceFilter
      extends java.lang.Enum<TestStackTraceFilter>

  Stack trace filters for test logging. Multiple filters can be combined.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ENTRY_POINT` |
    `GROOVY` |
    `TRUNCATE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TestStackTraceFilter` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TestStackTraceFilter[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTRY_POINT

          public static final TestStackTraceFilter ENTRY_POINT

    - #### TRUNCATE

          public static final TestStackTraceFilter TRUNCATE

    - #### GROOVY

          public static final TestStackTraceFilter GROOVY

  - ### Method Detail

    - #### values

          public static TestStackTraceFilter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TestStackTraceFilter c : TestStackTraceFilter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TestStackTraceFilter valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null